Package com.google.android.exoplayer2.testutil

## Class FakeMediaSourceFactory

- java.lang.Object
- - com.google.android.exoplayer2.testutil.FakeMediaSourceFactory

- All Implemented Interfaces:
    `MediaSource.Factory`, `MediaSourceFactory`

      public final class FakeMediaSourceFactory
      extends Object
      implements MediaSourceFactory

  Fake `MediaSourceFactory` that creates a `FakeMediaSource`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Object` | `DEFAULT_WINDOW_UID` | The window UID used by media sources that are created by the factory.

    - ### Fields inherited from interface com.google.android.exoplayer2.source.MediaSourceFactory

      `UNSUPPORTED`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FakeMediaSourceFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MediaSource` | `createMediaSource​(MediaItem mediaItem)` | Creates a new `MediaSource` with the specified `MediaItem`.
    `@com.google.android.exoplayer2.C.ContentType int[]` | `getSupportedTypes()` | Returns the `content types` supported by media sources created by this factory.
    `MediaSourceFactory` | `setDrmSessionManagerProvider​(DrmSessionManagerProvider drmSessionManagerProvider)` | Sets the `DrmSessionManagerProvider` used to obtain a `DrmSessionManager` for a `MediaItem`.
    `MediaSourceFactory` | `setLoadErrorHandlingPolicy​(LoadErrorHandlingPolicy loadErrorHandlingPolicy)` | Sets an optional `LoadErrorHandlingPolicy`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_WINDOW_UID

          public static final Object DEFAULT_WINDOW_UID

      The window UID used by media sources that are created by the factory.

  - ### Constructor Detail

    - #### FakeMediaSourceFactory

          public FakeMediaSourceFactory()

  - ### Method Detail

    - #### setDrmSessionManagerProvider

          public MediaSourceFactory setDrmSessionManagerProvider​(DrmSessionManagerProvider drmSessionManagerProvider)

      Description copied from interface: `MediaSource.Factory`
      Sets the `DrmSessionManagerProvider` used to obtain a `DrmSessionManager` for a `MediaItem`.
      Specified by:
        `setDrmSessionManagerProvider` in interface `MediaSource.Factory`
      Returns:
        This factory, for convenience.

    - #### setLoadErrorHandlingPolicy

          public MediaSourceFactory setLoadErrorHandlingPolicy​(LoadErrorHandlingPolicy loadErrorHandlingPolicy)

      Description copied from interface: `MediaSource.Factory`
      Sets an optional `LoadErrorHandlingPolicy`.
      Specified by:
        `setLoadErrorHandlingPolicy` in interface `MediaSource.Factory`
      Returns:
        This factory, for convenience.

    - #### getSupportedTypes

          @ContentType
          public @com.google.android.exoplayer2.C.ContentType int[] getSupportedTypes()

      Description copied from interface: `MediaSource.Factory`
      Returns the `content types` supported by media sources created by this factory.
      Specified by:
        `getSupportedTypes` in interface `MediaSource.Factory`

    - #### createMediaSource

          public MediaSource createMediaSource​(MediaItem mediaItem)

      Description copied from interface: `MediaSource.Factory`
      Creates a new `MediaSource` with the specified `MediaItem`.
      Specified by:
        `createMediaSource` in interface `MediaSource.Factory`
      Parameters:
        `mediaItem` - The media item to play.
      Returns:
        The new `media source`.